%define upstream_name    Tapper-TAP-Harness
%define upstream_version 5.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tapper - Tapper specific TAP handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Directory::Scratch)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::String)
BuildRequires: perl(Moose)
BuildRequires: perl(TAP::DOM)
BuildRequires: perl(TAP::Formatter::HTML)
BuildRequires: perl(TAP::Parser) >= 3.220.0
BuildRequires: perl(TAP::Parser::Aggregator)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package provides a Tapper-specific TAP handling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 5.0.6-2.mga6
+ Revision: 1033760
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 5.0.6-1.mga6
+ Revision: 1007290
- update to 5.0.6

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-6.mga6
+ Revision: 945736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 750695
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514854
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 330386
- New version 4.1.1

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310468
- Fix BR and desc
- imported package perl-Tapper-TAP-Harness


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
